Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Static Public Member Functions | Private Attributes | Static Private Attributes
ArgusSamples::PerfTracker Class Reference

PerfTracker note down the perf for one session. More...

`#include <PerfTracker.h>`

List of all members.

## Public Member Functions

| PerfTracker ()
void | onEvent (PerfEventType type, uint64_t value=0)

## Static Public Member Functions

static void | onAppEvent (PerfEventType type, uint64_t value=0)

## Private Attributes

int | m_id
TimeValue | m_taskStartTime
TimeValue | m_issueCaptureTime
TimeValue | m_requestReceivedTime
TimeValue | m_firstRequestReceivedTime
uint64_t | m_numberframesReceived
TimeValue | m_closeRequestedTime
TimeValue | m_flushDoneTime
TimeValue | m_closeDoneTime
uint64_t | m_lastFrameCount
uint64_t | m_totalFrameDrop

## Static Private Attributes

static int | s_count = 0
static TimeValue | ms_appStartTime
static TimeValue | ms_appInitializedTime

## Detailed Description

PerfTracker note down the perf for one session.

Definition at line 55 of file PerfTracker.h.

## Constructor & Destructor Documentation

ArgusSamples::PerfTracker::PerfTracker | ( |  | ) |

Definition at line 43 of file PerfTracker.cpp.

## Member Function Documentation

void ArgusSamples::PerfTracker::onAppEvent | ( | PerfEventType | type,
|  | uint64_t | value = `0`
| ) |  |

static

Definition at line 52 of file PerfTracker.cpp.

void ArgusSamples::PerfTracker::onEvent | ( | PerfEventType | type,
|  | uint64_t | value = `0`
| ) |  |

Definition at line 69 of file PerfTracker.cpp.

## Member Data Documentation

TimeValue ArgusSamples::PerfTracker::m_closeDoneTime

private

Definition at line 77 of file PerfTracker.h.

TimeValue ArgusSamples::PerfTracker::m_closeRequestedTime

private

Definition at line 75 of file PerfTracker.h.

TimeValue ArgusSamples::PerfTracker::m_firstRequestReceivedTime

private

Definition at line 72 of file PerfTracker.h.

TimeValue ArgusSamples::PerfTracker::m_flushDoneTime

private

Definition at line 76 of file PerfTracker.h.

int ArgusSamples::PerfTracker::m_id

private

Definition at line 64 of file PerfTracker.h.

TimeValue ArgusSamples::PerfTracker::m_issueCaptureTime

private

Definition at line 69 of file PerfTracker.h.

uint64_t ArgusSamples::PerfTracker::m_lastFrameCount

private

Definition at line 79 of file PerfTracker.h.

uint64_t ArgusSamples::PerfTracker::m_numberframesReceived

private

Definition at line 73 of file PerfTracker.h.

TimeValue ArgusSamples::PerfTracker::m_requestReceivedTime

private

Definition at line 70 of file PerfTracker.h.

TimeValue ArgusSamples::PerfTracker::m_taskStartTime

private

Definition at line 68 of file PerfTracker.h.

uint64_t ArgusSamples::PerfTracker::m_totalFrameDrop

private

Definition at line 80 of file PerfTracker.h.

TimeValue ArgusSamples::PerfTracker::ms_appInitializedTime

staticprivate

Definition at line 66 of file PerfTracker.h.

TimeValue ArgusSamples::PerfTracker::ms_appStartTime

staticprivate

Definition at line 65 of file PerfTracker.h.

int ArgusSamples::PerfTracker::s_count = 0

staticprivate

Definition at line 63 of file PerfTracker.h.

The documentation for this class was generated from the following files:

- modules/PerfTracker.h
- modules/PerfTracker.cpp